#{extends 'border.html'/}
<div class="container-fluid">

	<div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<!--<ol class="breadcrumb">-->
				<!--<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>-->
				<!--<li><a href="#">Detail Komoditas</a></li>-->
				<!--<li><a href="#">Detail Usulan</a></li>-->
				<!--<li class="active">Daftar Penawaran</li>-->
			<!--</ol>-->
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-2">
			#{include 'pl/filter-penawaran-penyedia.html'/}
		</div>
		
		<div class="col-md-10">
			<h4>&{'daftar_penawaran.label'} ${user.nama_lengkap}</h4>
			<div class="panel panel-default">
				<div class="panel-body">
					<!-- Data Table -->
					<table class="table table-striped" id="tblPenawaran">
						<thead>
							<tr>
								<th>&{'nomor.label'}</th>
								<th>&{'komoditas.label'}</th>
								<th>&{'usulan.label'}</th>
								<th>&{'tanggal_pengajuan.label'}</th>
								<th>&{'status.label'}</th>
								<th>&{'aksi.label'}</th>
							</tr>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>	
</div>
#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

        $("#tblPenawaran").dataTable({
			"searching": false,
			ajax: {
				url:'@{DataTableCtr.cariPenawaranPenyedia()}',
				data: function (d) {
					d.keyword = $('#keyword').val();
					d.tanggalPengajuan = $('#tanggal-pengajuan').val();
					d.status = $('#status').val();
					d.user_id = "${user.id}";
				},
				cache: true},
			order: [[ 3, "desc" ]],
			columns: [
				{
					"searchable": false, "className": "header-center",
					render: function(data, type, row, meta) {
						return meta.row + meta.settings._iDisplayStart + 1 + ".";
					}
				},
				{"searchable": true},
				{"searchable": true},
				{"searchable": true, "className": "header-center"},
				{"searchable": true, "className": "header-center"},
				{"searchable": false, orderable:false, "className": "header-center"}
			]
		});
        

        $("#filter-penawaran").on("click", function(){
			$("#tblPenawaran").DataTable().order(JSON.parse($('#order').val())).draw();
        });

        $('#keyword').keypress(function(event){ 
			var keycode = event.keyCode || event.which;
			if(keycode == '13') {
				$('#filter-penawaran').click();
				return false;
			}
			return;
		});


    });
</script>
#{/set}